Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 83)
@@ -124,7 +124,7 @@
             /// <summary>
             /// 経費率
             /// </summary>
-            ExpensesRate,
+            ExpensesRaito,
             /// <summary>
             /// 経費名称コード
             /// </summary>
@@ -149,10 +149,10 @@
                 if (!picDB.SelectAction(strPerson, ref picRec)) return false;
 
                 // 部署経費率マスタ取得
-                string strSQL = "SELECT A.NAMESTRING, IFNULL(B.EXPENSESRATIO, 0), B.NAMECODE";
+                string strSQL = "SELECT A.NAMESTRING, IFNULL(B.EXPENSESRAITO, 0), B.NAMECODE";
                 strSQL += " FROM DIVISIONMASTER A";
                 strSQL += " LEFT OUTER JOIN";
-                strSQL += " (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRATIO, EXPENSESPERIOD";
+                strSQL += " (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRAITO, EXPENSESPERIOD";
                 strSQL += string.Format(" FROM DEPARTMENTEXPENSESMASTER WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
                 strSQL += " ON A.NAMECODE = B.NAMECODE";
                 strSQL += string.Format(" AND B.EXPENSESPERIOD = {0}", m_ConstructionBaseInfo.ConstructionPeriod);
@@ -596,6 +596,9 @@
         {
             try
             {
+                // 担当中以外は処理しない
+                if (DetailRec.OperatingFlg == (int)CommonDefine.SalaryOperateKind.Complate) return;
+
                 RadioButton[] rdbWork = new RadioButton[3];
                 TextBox txtWork = null;
                 // 担当無は振分無
@@ -855,9 +858,6 @@
                     if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.TitleFlg].Value)) continue;
                     if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.TitleFlg].Value) != 0) continue;
 
-                    if (CommonMotions.chkObjectIsNull(CurRow.Cells[(int)GridColumn.BlankFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(CurRow.Cells[(int)GridColumn.BlankFlg].Value) != 0) continue;
-
                     // 空白行は処理しない
                     if (BlankLine(CurRow.Index)) continue;
 
@@ -1504,11 +1504,14 @@
                 // 行位置取得
                 m_CostsRowCount[(int)CostsRowLine.ExpensesRowLine] = dgv.RowCount - 1;
 
+                // 工事予算書より経費を取り込む
+                GetBudgetExpensesList();
+
                 foreach (object[] wrkExpense in m_ExpensesList)
                 {
                     // 経費率取得
                     string strVallue = CommonMotions.cnvString(wrkExpense[(int)ExpensesArray.ExpensesName]);
-                    double dExpenses = CommonMotions.cnvDouble(wrkExpense[(int)ExpensesArray.ExpensesRate]);
+                    double dExpenses = CommonMotions.cnvDouble(wrkExpense[(int)ExpensesArray.ExpensesRaito]);
 
                     object[] RowData = new object[dgv.Columns.Count];
 
@@ -1550,6 +1553,47 @@
         }
         #endregion
 
+        #region 工事予算書より経費データを取り込む
+        /// <summary>
+        /// 工事予算書より経費データを取り込む
+        /// </summary>
+        private void GetBudgetExpensesList()
+        {
+            IOConstructionBudgetDetail DetailDB = new IOConstructionBudgetDetail();
+            try
+            {
+                int DivCode = CommonDefine.DivisionMasterCode.First(x => x.Value.Equals("工事経費名称登録")).Key;
+                string strSQL = "SELECT B.NAMESTRING, A.AMOUNTCONFIGRATE, A.COMPONENTCODE";
+                strSQL += " FROM CONSTRUCTIONBUDGETDETAIL A, DIVISIONMASTER B";
+                strSQL += DetailDB.CreatePrimarykeyString(m_ConstructionCode, (int)FrmConstructionBudget.DataGroup.Expenses, 0, "A");
+                strSQL += string.Format(" AND B.DIVISIONCODE = {0}", DivCode);
+                strSQL += " AND B.NAMECODE = A.COMPONENTCODE";
+                strSQL += " ORDER BY A.LINECOUNT";
+
+                ArrayList DetailList = new ArrayList();
+                if (!DetailDB.ExecuteReader(strSQL, ref DetailList)) return;
+                if (DetailList.Count == 0) return;
+                
+                m_ExpensesList.Clear();
+
+                foreach (object[] CurRec in DetailList)
+                {
+                    m_ExpensesList.Add(new object[] { CommonMotions.cnvString(CurRec[0]),
+                                                        CommonMotions.cnvDouble(CurRec[1]),
+                                                        CommonMotions.cnvInt(CurRec[2]) });
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                DetailDB.close(); DetailDB = null;
+            }
+        }
+        #endregion
+
         #region 工事予算書より施工費を取り込む
         /// <summary>
         /// 工事予算書より施工費を取り込む
@@ -1904,7 +1948,9 @@
                         case (int)DataGroup.Payroll:                                                    // 担当者
                             SalaryFlg = BudgetRec.SalaryFlg;                                            // 給与振分区分
                             SalaryDays = BudgetRec.SalaryDays;                                          // 給与振分日数
+                            RowData[(int)GridColumn.SalaryOnRegist] = BudgetRec.CreatorCosts;           // 登録時月額給与
                             break;
+             
                         case (int)DataGroup.Assistant:                                                  // 副担当者
                             if (BudgetRec.AssistantCode == 0)                                           // 給与振分区分
                                 SalaryFlg = (int)CommonDefine.SalaryDevision.Noting;
@@ -1911,6 +1957,7 @@
                             else
                                 SalaryFlg = BudgetRec.A_SalaryFlg;
                             SalaryDays = BudgetRec.A_SalaryDays;                                        // 給与振分日数
+                            RowData[(int)GridColumn.SalaryOnRegist] = BudgetRec.AssistantCosts;         // 登録時月額給与
                             break;
                         case (int)DataGroup.Instructor:                                                 // 指導員
                             if (BudgetRec.InstructorCode == 0)                                          // 給与振分区分
@@ -1918,6 +1965,7 @@
                             else
                                 SalaryFlg = BudgetRec.I_SalaryFlg;
                             SalaryDays = BudgetRec.I_SalaryDays;                                        // 給与振分日数
+                            RowData[(int)GridColumn.SalaryOnRegist] = BudgetRec.InstructorCosts;        // 登録時月額給与
                             break;
                     }
                 }
@@ -1927,11 +1975,8 @@
                     SalaryDays = 0;                                                                     // 給与振分日数
                 }
 
-                if (SalaryFlg == 0)                                                                         // 給与振分区分
-                    RowData[(int)GridColumn.SalaryFlg] = (int)CommonDefine.SalaryDevision.Noting;
-                else
-                    RowData[(int)GridColumn.SalaryFlg] = SalaryFlg;
 
+                RowData[(int)GridColumn.SalaryFlg] = SalaryFlg;                                             // 給与振分区分
                 RowData[(int)GridColumn.SalaryDays] = SalaryDays;                                           // 給与振分日数
                 RowData[(int)GridColumn.OperatingFlg] = (int)CommonDefine.SalaryOperateKind.Oparateing;     // 担当中フラグ
                 RowData[(int)GridColumn.CompanyType] = (int)CommonDefine.CodeDataType.Person;               // コードタイプ（担当者）
@@ -2419,6 +2464,7 @@
                 RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)DataGroup.BillingAmount];
                 RowData[(int)GridColumn.IndependentFlg] = "1";
                 RowData[(int)GridColumn.FluctuationFlg] = "0";
+                RowData[(int)GridColumn.JoinTitleFlg] = "0";
                 RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
 
                 string strSQL = ExcuteDB.CreatePrimarykeyString(m_ConstructionCode,
@@ -2549,13 +2595,11 @@
                 {
                     case (int)DataGroup.ConstructionCosts:       // 施工費
                         if (DetailRec.JoinTitleFlg == 1) break;
+                        // ブランク行は採番しない
                         if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0
+                            && DetailRec.CompanyName.Length == 0
                             && DetailRec.EstimatePrice == 0 && DetailRec.ExecutionAmount == 0) break;
-                        // ブランク行は採番しない
-                        if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0 && DetailRec.CompanyName.Length == 0
-                            && DetailRec.EstimatePrice == 0 && DetailRec.ExecutionAmount == 0) break;
 
-
                         // 独立項目の場合
                         if (DetailRec.IndependentFlg == 1)
                         {
@@ -2944,9 +2988,12 @@
             try
             {
                 // 現担当者以外は処理しない
-                //if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
-                //// 入力完了は処理しない
-                //if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
+                // 入力完了は処理しない
+                if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                // 担当者無ならば処理しない
+                if (DetailRec.CompanyCode == 0) return true;
+
                 //return true;
 
                 // 担当者マスタより担当者名を取得する
@@ -2972,54 +3019,41 @@
                         break;
                 }
                 // 日額給与取得
-                double DaysSalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);
                 string ItemText = s_GroupTitle[DetailRec.GroupCount];
                 string Content = string.Empty;
-                double BetweenTimes = 0;
-                int CostsValue = 0;
 
-                if (DetailRec.CompanyCode != 0)
+                ItemText = ItemText + string.Format("【{0}氏】", PersonRec.SealPrintName);    // 項目名称セット
+                // 工期と給与額を表示する
+                switch (DetailRec.SalaryFlg)
                 {
-                    ItemText = ItemText + string.Format("【{0}氏】", PersonRec.SealPrintName);    // 項目名称セット
-                    // 工期と給与額を表示する
-                    switch (DetailRec.SalaryFlg)
-                    {
-                        case (int)CommonDefine.SalaryDevision.All:
-                            // ----- 全日振分
-                            // 工期取得
-                            BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
+                    case (int)CommonDefine.SalaryDevision.All:
+                        // ----- 全日振分
+                        // 工期取得
+                        double BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
 
-                            // 着工日
-                            DateTime dtStart = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
-                            // 完了日
-                            DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
+                        // 着工日
+                        DateTime dtStart = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
+                        // 完了日
+                        DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
 
-                            // 稼働日取得
-                            //int WorkingDay = ClsCalendar.CalcOperatingDaysCount(dtStart, dtLast);
-                            int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
+                        // 稼働日取得
+                        int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
 
-                            // 給与計算
-                            CostsValue = CommonMotions.cnvRound(DaysSalary * WorkingDay);
+                        Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                BetweenTimes.ToString("0.00"),
+                                                Salary.ToString("#,0"));
 
-                            Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
-                                                    BetweenTimes.ToString("0.00"),
-                                                    Salary.ToString("#,0"));
+                        break;
+                    case (int)CommonDefine.SalaryDevision.Noting:
+                        // ----- 指定無し
 
-                            break;
-                        case (int)CommonDefine.SalaryDevision.Noting:
-                            // ----- 指定無し
-
-                            break;
-                        case (int)CommonDefine.SalaryDevision.DaysInput:
-                            // ----- 日数指定
-                            // 給与計算
-                            CostsValue = CommonMotions.cnvRound(DaysSalary * DetailRec.SalaryDays);
-
-                            Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
-                                                    ClsCalendar.cnvMonthFromDays(DetailRec.SalaryDays).ToString("0.00"),
-                                                    Salary.ToString("#,0"));
-                            break;
-                    }
+                        break;
+                    case (int)CommonDefine.SalaryDevision.DaysInput:
+                        // ----- 日数指定
+                        Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                ClsCalendar.cnvMonthFromDays(DetailRec.SalaryDays).ToString("0.00"),
+                                                Salary.ToString("#,0"));
+                        break;
                 }
 
                 // 担当名表示
@@ -3028,11 +3062,11 @@
                 RowData[(int)GridColumn.TextName] = Content;
 
                 // 総金額を表示
-                RowData[(int)GridColumn.EstimatePrice] = CostsValue.ToString("#,#");
-                RowData[(int)GridColumn.ExecPrice] = CostsValue.ToString("#,0");
+                RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,#");
+                RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
 
                 // パーセントを表示する
-                RowData[(int)GridColumn.Percent] = CalculattionPercent(CostsValue).ToString("0.00");
+                RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
 
                 // 人件費情報
                 RowData[(int)GridColumn.SalaryFlg] = DetailRec.SalaryFlg;                   // 給与振分区分
@@ -3323,6 +3357,7 @@
                 SetData.Cells[(int)GridColumn.TitleFlg].Value = "0";
                 SetData.Cells[(int)GridColumn.TotalFlg].Value = "0";
                 SetData.Cells[(int)GridColumn.BlankFlg].Value = "0";
+                SetData.Cells[(int)GridColumn.JoinTitleFlg].Value = "0";
 
                 SetData.Cells[(int)GridColumn.IndependentFlg].Value = "1";
                 SetData.Cells[(int)GridColumn.FluctuationFlg].Value = "0";
@@ -3584,7 +3619,7 @@
                     int StLineCnt = 0;
                     if (GroupCount == (int)DataGroup.ConstructionCosts)
                     {
-                        StLineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine] + 1;
+                        StLineCnt = m_CostsRowCount[(int)CostsRowLine.ConstructionCostLine];
                     }
                     else if (GroupCount != (int)DataGroup.Assistant && GroupCount != (int)DataGroup.Instructor)
                     {
@@ -4111,6 +4146,7 @@
                 DataGridView dgv = dgvAllDisplay;
                 int PaymentBurdenCol = dgv.ColumnCount + (int)ColPayTotal.PaymentBurdens;
                 int RowLineCnt = 0;
+                string InsertSubSQL = string.Empty;
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
                     RowLineCnt++;
@@ -4122,7 +4158,7 @@
                     //if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)DataGroup.CurrentProfit) continue;
 
                     // データ定義
-                    ConstructionLedgerDetail work = new ConstructionLedgerDetail();
+                    //ConstructionLedgerDetail work = new ConstructionLedgerDetail();
 
                     // データセット
                     // 明細チェック
@@ -4132,93 +4168,131 @@
                     if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.TitleFlg].Value)) continue;
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.TitleFlg].Value) == 1) continue;
 
-                    if (CommonMotions.chkObjectIsNull(wrkRow.Cells[(int)GridColumn.BlankFlg].Value)) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.BlankFlg].Value) == 1) continue;
+                    /// 項目名称・業種名称・予定金額・実行金額
+                    if (CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.ItemName].Value)
+                    && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.TextName].Value)
+                    && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.CompanyName].Value)
+                    && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value)
+                    && CommonMotions.chkCellBlank(wrkRow.Cells[(int)GridColumn.ExecPrice].Value))
+                    {
+                        continue;
+                    }
+                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value).Length == 0
+                    && CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value).Length == 0
+                    && CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value).Length == 0
+                    && CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value) == 0
+                    && CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ExecPrice].Value) == 0)
+                    {
+                        continue;
+                    }
 
                     // 空白行は処理しない
                     if (BlankLine(wrkRow.Index)) continue;
 
-                    // 工事コード
-                    work.ConstructionCode = m_ConstructionCode;
+                    // 行データ作成
+                    CreateInsertRowData(wrkRow, RowLineCnt, ref InsertSubSQL);
+                    // 2017/03/15 登録高速化のため変更
+                    //// 工事コード
+                    //work.ConstructionCode = m_ConstructionCode;
 
-                    // グループ番号
-                    work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
-                    // 行番号
-                    work.LineCount = RowLineCnt;
+                    //// グループ番号
+                    //work.GroupCount = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value);
+                    //// 行番号
+                    //work.LineCount = RowLineCnt;
 
-                    // 構成キー
-                    work.ComponentCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ComponentCode].Value);
-                    // 工種キー
-                    work.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ItemCode].Value);
-                    // 項目名称
-                    work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value);
-                    // 工事内容
-                    work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value);
-                    // 協力会社データタイプ
-                    work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyType].Value);
-                    // 協力会社コード
-                    work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value);
-                    // 協力会社名称
-                    work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value);
-                    // 積算時見積金額
-                    work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value);
+                    //// 構成キー
+                    //work.ComponentCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ComponentCode].Value);
+                    //// 工種キー
+                    //work.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ItemCode].Value);
+                    //// 項目名称
+                    //work.FirstString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.ItemName].Value);
+                    //// 工事内容
+                    //work.SecondString = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.TextName].Value);
+                    //// 協力会社データタイプ
+                    //work.CompanyType = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyType].Value);
+                    //// 協力会社コード
+                    //work.CompanyCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.CompanyCode].Value);
+                    //// 協力会社名称
+                    //work.CompanyName = CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.CompanyName].Value);
+                    //// 積算時見積金額
+                    //work.EstimatePrice = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.EstimatePrice].Value);
 
-                    // 実行金額
-                    switch (work.GroupCount)
-                    {
-                        // 14:請求金額
-                        case (int)DataGroup.BillingAmount:
-                        // 15:現在利益金額
-                        case (int)DataGroup.CurrentProfit:
-                            int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
-                            work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[TotalPoint].Value);
-                            break;
-                        default:
-                            // 1～12：普通行データ
-                            // 13:合計金額
-                            work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.ExecPrice].Value);
-                            break;
-                    }
+                    //// 実行金額
+                    //switch (work.GroupCount)
+                    //{
+                    //    // 14:請求金額
+                    //    case (int)DataGroup.BillingAmount:
+                    //    // 15:現在利益金額
+                    //    case (int)DataGroup.CurrentProfit:
+                    //        int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
+                    //        work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[TotalPoint].Value);
+                    //        break;
+                    //    default:
+                    //        // 1～12：普通行データ
+                    //        // 13:合計金額
+                    //        work.ExecutionAmount = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.ExecPrice].Value);
+                    //        break;
+                    //}
 
-                    // 金額構成率
-                    work.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);
-                    // 支払補填額（経費は支払補填額を書き込まない）
-                    if (work.GroupCount != (int)DataGroup.Expenses) work.PaymentBurden = CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value);
-                    // 固定フラグ
-                    if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) work.FixDataFlg = 1;
-                    // 独立データフラグ
-                    work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value);
-                    // 増減データフラグ
-                    work.FluctuationFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value);
-                    // 元工事番号
-                    work.SourceCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SourceCode].Value);
-                    // 工事名称タイトルフラグ
-                    work.JoinTitleFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.JoinTitleFlg].Value);
-                    // 登録時月額給与
-                    work.SalaryOnRegist = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.SalaryOnRegist].Value);
-                    // 注文書発行フラグ
-                    work.PurchaseOrderFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value);
+                    //// 金額構成率
+                    //work.AmountConfigRate = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Percent].Value);
+                    //// 支払補填額（経費は支払補填額を書き込まない）
+                    //if (work.GroupCount != (int)DataGroup.Expenses) work.PaymentBurden = CommonMotions.cnvDouble(wrkRow.Cells[PaymentBurdenCol].Value);
+                    //// 固定フラグ
+                    //if (CommonMotions.cnvString(wrkRow.Cells[(int)GridColumn.FixFlg].Value).Equals("*")) work.FixDataFlg = 1;
+                    //// 独立データフラグ
+                    //work.IndependentFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.IndependentFlg].Value);
+                    //// 増減データフラグ
+                    //work.FluctuationFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.FluctuationFlg].Value);
+                    //// 元工事番号
+                    //work.SourceCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.SourceCode].Value);
+                    //// 工事名称タイトルフラグ
+                    //work.JoinTitleFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.JoinTitleFlg].Value);
+                    //// 登録時月額給与
+                    //work.SalaryOnRegist = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.SalaryOnRegist].Value);
+                    //// 注文書発行フラグ
+                    //work.PurchaseOrderFlg = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.PurchaseOrderFlg].Value);
 
-                    // 工事担当者・指導員行・ 副担当者行の場合は追加データセット
-                    switch (work.GroupCount)
-                    {
-                        case (int)DataGroup.Instructor:     // 9:指導員給料行
-                        case (int)DataGroup.Assistant:      // 10:副担当者給料行
-                        case (int)DataGroup.Payroll:        // 11:担当者給料行
-                            SetPaymentData(wrkRow, ref work);
-                            break;
-                        default:
-                            break;
-                    }
+                    //// 工事担当者・指導員行・ 副担当者行の場合は追加データセット
+                    //switch (work.GroupCount)
+                    //{
+                    //    case (int)DataGroup.Instructor:     // 9:指導員給料行
+                    //    case (int)DataGroup.Assistant:      // 10:副担当者給料行
+                    //    case (int)DataGroup.Payroll:        // 11:担当者給料行
+                    //        SetPaymentData(wrkRow, ref work);
+                    //        break;
+                    //    default:
+                    //        break;
+                    //}
 
-                    // データ登録
-                    if (!DetailDB.InsertAction(work, false))
-                    {
-                        MessageBox.Show("工事詳細台帳明細データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                    //// データ登録
+                    //if (!DetailDB.InsertAction(work, false))
+                    //{
+                    //    MessageBox.Show("工事詳細台帳明細データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    //    return false;
+                    //}
                 } // iRows
 
+                if (InsertSubSQL.Length < 1) return true;
+
+                string InsertSQL = "INSERT INTO ConstructionLedgerDetail";
+                InsertSQL += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(IOConstructionLedgerDetail.TableColumn)))
+                {
+                    if (!bFirst) InsertSQL += " ,";
+                    InsertSQL += gender.ToString();
+                    bFirst = false;
+                }
+                InsertSQL += ") VALUES";
+                InsertSQL += InsertSubSQL;
+
+                if (!DetailDB.ExecuteNonQuery(InsertSQL, false))
+                {
+                    MessageBox.Show("工事詳細台帳明細データ：追加登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+
                 return true;
             }
             catch (System.Exception ex)
